Skip to main content
DELETE
/
api
/
v1
/
search
/
tables
/
{table_name}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.search.tables.deleteTable({
    tableName: "<value>",
  });

  console.log(result);
}

run();
{
  "message": "Table 'support_kb' deleted successfully"
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

table_name
string
required

Response

Successful Response

message
string
required